oCoreoCore Docs
API Reference

Activity Feed

List activity feed

Returns recent operations aggregated across deployments, backups, servers, instances, and database operations.

GET
/activity

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/activity" \
  -H "Authorization: <token>"

OK

{
  "items": [
    {
      "currentStep": "string",
      "error": "string",
      "id": "string",
      "progress": 0,
      "resourceId": "string",
      "resourceName": "string",
      "retryable": true,
      "startedAt": "string",
      "status": "string",
      "type": "string",
      "updatedAt": "string"
    }
  ],
  "total": 0
}

Dismiss all failed activity

Clears all failed/error items from the activity feed within the 24h window.

POST
/activity/dismiss-all-failed

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X POST "//api.ocore.dev/api/activity/dismiss-all-failed" \
  -H "Authorization: <token>"

OK

{
  "dismissed": 0,
  "message": "string"
}

Stream activity feed (SSE)

Streams real-time activity feed updates as Server-Sent Events.

GET
/activity/stream

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/activity/stream" \
  -H "Authorization: <token>"

SSE stream

"string"

Cancel activity

Cancels an in-progress operation and discards associated background jobs.

POST
/activity/{type}/{id}/cancel

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

typeRequiredstring

Activity type (deployment, backup, instance, import_export, provisioning)

idRequiredstring

Activity resource ID

curl -X POST "//api.ocore.dev/api/activity/<string>/<string>/cancel" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Was this page helpful?